As a user, I can use edge swipes to navigate the app
Closed, ResolvedPublic

Description

Whenever we use a "push" transition (as opposed to modal) we should allow edge swiping.

Repro steps

Back from article view

  1. Go to an article (either by tapping a search result, tapping a link on another article, etc.)
  2. Attempt an edge swipe back

From "more like" back to home

  1. Go to Home view
  2. Tap "more like ____" or "more nearby your location"
  3. Attempt to edge swipe back to "Home"

Expected results

Typical iOS swipe navigation UX (gradually pull the existing view from right to left).

Actual results

Nothing happens. Can only navigate back by tapping the back button.

BGerstle-WMF updated the task description. (Show Details)
BGerstle-WMF raised the priority of this task from to Needs Triage.
BGerstle-WMF moved this task to Needs Triage on the Wikipedia-iOS-App-Backlog board.
BGerstle-WMF added a subscriber: BGerstle-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 25 2015, 2:40 PM
JMinor triaged this task as Low priority.Sep 28 2015, 9:02 PM
JMinor added a project: iOS-app-v5-production.
JMinor moved this task from Needs Triage to Needs Estimation on the Wikipedia-iOS-App-Backlog board.
Nirzar added a subscriber: Nirzar.

love token to emphasize importance of it

MBinder_WMF closed this task as Resolved.Oct 7 2015, 9:14 PM